import request from '@/utils/request'

export function getClassTreeByFondId(params) {
  return request({
    url: '/point-strategy/v/classTree/getClassTreeByFondId',
    method: 'get',
    params:params
  })
}

// 保存全宗门类

export function saveFondClass(params) {
    return request({
      url: '/point-strategy/v/fond/saveFondClass',
      method: 'post',
      params:params
    })
}


//根据用户查询对应门类树
export function getClassTreeByUserId(params) {
  return request({
    url: '/point-strategy/v/classTree/getClassTreeByUserId',
    method: 'get',
    params:params
  })
}


//树--单独给全宗门类管理
export const getClassTreeByClassNameTwo = data => {
  return request({
    url: '/point-strategy/v/classTree/getClassTreeByClassNameTwo',
    method: 'post',
    data
  })
}